aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-001.sh
diff options
context:
space:
mode:
authorLukas Fleischer <calcurse@cryptocrack.de>2014-07-28 12:24:21 +0200
committerLukas Fleischer <calcurse@cryptocrack.de>2014-07-28 12:43:00 +0200
commit81894cbbd8496dee4ea6d62d6ffc820482b4197d (patch)
tree2e3ccc05e11cca1da3e8f46c09774c1936181dcf /test/ical-001.sh
parent132cf86a6f10b965a10f5c736e320d61c20cee77 (diff)
downloadcalcurse-81894cbbd8496dee4ea6d62d6ffc820482b4197d.tar.gz
calcurse-81894cbbd8496dee4ea6d62d6ffc820482b4197d.zip
tests/: Add basic iCal import tests
Tests ical-002.sh and ical-003.sh currently fail due to bugs in duration and exception parsing. Reported-by: HÃ¥kan Jerning <jerning@home.se> Signed-off-by: Lukas Fleischer <calcurse@cryptocrack.de>
Diffstat (limited to 'test/ical-001.sh')
-rwxr-xr-xtest/ical-001.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/ical-001.sh b/test/ical-001.sh
new file mode 100755
index 0000000..3fb6f87
--- /dev/null
+++ b/test/ical-001.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+
+if [ "$1" = 'actual' ]; then
+ mkdir .calcurse || exit 1
+ cp "$DATA_DIR/conf" .calcurse || exit 1
+ "$CALCURSE" -D "$PWD/.calcurse" -i "$DATA_DIR/ical-001.ical"
+ "$CALCURSE" -D "$PWD/.calcurse" -s01/01/1902 -r2
+ "$CALCURSE" -D "$PWD/.calcurse" -t
+ rm -rf .calcurse || exit 1
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+Import process report: 0017 lines read
+1 app / 0 events / 1 todo / 0 skipped
+01/01/02:
+ - 00:01 -> ..:..
+ Calibrator's
+
+01/02/02:
+ - ..:.. -> 09:18
+ Calibrator's
+to do:
+9. Nary parabled Louvre's fleetest mered
+EOD
+else
+ ./run-test "$0"
+fi